#ifndef _G_PLAYER_SELECT_SCENE_
#define _G_PLAYER_SELECT_SCENE_

#include <hpllib/scene/AbstractScene.h>

#include "GEnum.h"
#include "GPlayer.h"

class GPlayerInfo {
public:
	HPLCounter	m_AnimationCounter;	//! アニメーションカウンタ
	GPlayer		m_Player;			//! 表示用プレイヤーデータ
	int			m_nAnimationSequenceID;	//! アニメーションのシーケンスID
	GPlayerInfo() {
		this->m_Player.setup();
		this->m_Player.changeType(0);
		this->m_nAnimationSequenceID = 0;
	}
};
class GPlayerSelectScene: public AbstractScene{
	// メンバ変数
private:
	GPlayerInfo m_aryPlayerInfos[ GEnum::PLAYER_MAX_NUM ];
public:
	GPlayerSelectScene();
	virtual ~GPlayerSelectScene();

	void init();
	void process();
	void quit();
};

#endif
